package com.bcxin.event.core;

import lombok.Data;

import java.util.Collection;

@Data
public class EntityCollection<T> {
    private Collection<T> data;
    private Long totalCount;
    private int pageSize;

    public static <T> EntityCollection<T> create(Collection<T> data, int pageSize, Long totalCount) {
        EntityCollection ec = new EntityCollection();
        ec.setData(data);
        ec.setTotalCount(totalCount);
        ec.setPageSize(pageSize);

        return ec;
    }

    public int getPageCount() {
        int pageCount = (int) Math.ceil(this.getTotalCount() * 1.0 / this.getPageSize());

        return pageCount;
    }
}
