package com.bcxin.event.core;

import java.io.Serializable;

public abstract class FlinkJobAbstract implements Serializable {

    public final void execute() throws Exception {
        try {
            this.beforeExecute();
            this.coreExecute();
        } finally {
            this.afterExecute();
        }
    }

    protected void beforeExecute(){}

    protected void afterExecute(){}

    protected abstract void coreExecute() throws Exception;
}
