package com.bcxin.event.core;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.parser.Feature;
import com.alibaba.fastjson.serializer.SerializerFeature;

import java.io.Serializable;
import java.util.Collection;

public class JsonProviderImpl implements JsonProvider, Serializable {
    @Override
    public String getJson(Object data) {
        return JSON.toJSONString(data);
    }

    @Override
    public <T> T toObject(Class<T> tClass, String json) {
        return JSON.parseObject(json, tClass);
    }

    @Override
    public <T> Collection<T> toCollection(Class<T> tClass, String json) {
        return JSON.parseArray(json, tClass);
    }

    @Override
    public String getJson(Object data, boolean ignoreEmpty) {
        if (data == null) {
            return null;
        }
        String result = JSON.toJSONString(data, SerializerFeature.WriteMapNullValue);
        if (result == null) {
            return result;
        }

        return result.replace(":\"null\"", ":null");
    }
}
