package com.bcxin.event.core.definitions;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;
import java.util.Collection;
import java.util.stream.Collectors;

@Data
public class KafkaTableDefinition extends FlinkDefinitionAbstract {
    private KafkaTopicConnectorDefinition sourceConnector;
    private String definitionSql;

    public String getSql() {
        if (this.getSourceConnector() == null) {
            throw new IllegalArgumentException("Kafka Connector信息不能为空");
        }

        if (StringUtils.isEmpty(this.getSourceConnector().getDefinitionMeta())) {
            throw new IllegalArgumentException("Kafka Connector信息无效");
        }

        if (StringUtils.isEmpty(this.getDefinitionSql())) {
            throw new IllegalArgumentException(String.format("Kafka Connector(%s)的定义definitionSql不能为空",
                    this.sourceConnector.getBootstrapServer())
            );
        }

        return String.format("%s WITH (%s)",
                this.getDefinitionSql(),
                this.getSourceConnector().getDefinitionMeta());
        /*
        if (this.getDefinitionSqls() == null || this.getDefinitionSqls().size() == 0) {
            throw new IllegalArgumentException(String.format("Kafka Connector(%s)的定义definitionSqls不能为空",
                    this.sourceConnector.getBootstrapServer())
            );
        }

        return this.getDefinitionSqls().stream()
                .filter(ii -> !StringUtils.isEmpty(ii))
                .map(ii -> String.format("%s WITH (%s)", ii,
                        this.getSourceConnector().getDefinitionMeta()))
                .collect(Collectors.toList());

         */
    }
}