package com.bcxin.event.core.metas;
import lombok.Data;

import java.util.Collection;
import java.util.stream.Collectors;

@Data
public class TableMeta extends FlinkMetaAbstract{
    private String name;
    private Collection<TableColumnMeta> columnMetas;


    @Override
    public String getSql() {
        if (this.getColumnMetas() == null || this.getColumnMetas().isEmpty()) {
            return null;
        }

        return String.format("CREATE TABLE %s (%s)", this.getName(),
                this.getColumnMetas().stream().map(ix -> ix.getSql()).collect(Collectors.joining(","))
        );
    }
}
