package com.bcxin.event.core.utils;

import com.bcxin.event.core.JsonProvider;
import com.bcxin.event.core.exceptions.BadEventException;
import org.apache.commons.lang3.StringUtils;

import java.io.IOException;
import java.io.InputStream;
import java.util.Map;
import java.util.Properties;

public class PropertyUtils {
    public static Properties loadProperties(JsonProvider jsonProvider, String param1) {
        if (StringUtils.isEmpty(param1)) {
            throw new BadEventException("流任务配置信息不能为空");
        }

        String taskConf = param1;
        Map<String, String> inputMap = jsonProvider.toObject(Map.class, taskConf);

        Properties properties = System.getProperties();
        for (String key : inputMap.keySet()) {
            properties.setProperty(key, inputMap.get(key));
        }

        return properties;
    }

    public static Properties loadProperties(String propertyFile) throws IOException {
        Properties properties = System.getProperties();

        ClassLoader classLoader = PropertyUtils.class.getClassLoader();
        try (InputStream coreStream = classLoader.getResourceAsStream(propertyFile)) {
            properties.load(coreStream);
        }

        return properties;
    }
}
