package com.bcxin.event.core.utils;

import com.bcxin.event.core.exceptions.BadEventException;
import org.apache.commons.lang3.StringUtils;

public class SystemUtils {
    public static String getOSVersion() {
        String osVersion = System.getProperty("os.name");
        if (StringUtils.isEmpty(osVersion)) {
            return null;
        }

        return osVersion.toLowerCase();
    }

    public static String formatPath(String path) {
        if (StringUtils.isEmpty(getOSVersion())) {
            throw new BadEventException("无法获取系统版本信息");
        }
        if(path.startsWith("file:")) {
            path = path.substring(5);
        }

        String osVersion = getOSVersion();
        if (osVersion.contains("window")) {
            if (path.startsWith("/")) {
                path =  path.substring(1);
            }

            if (path.startsWith("/")) {
                path =  path.substring(1);
            }
        }


        return path;
    }
}
